Bug 204296 - deinstall-depends target doesn't work with pkg
Summary: deinstall-depends target doesn't work with pkg
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-04 22:49 UTC by Ian Lepore
Modified: 2019-09-05 09:09 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Lepore freebsd_committer 2015-11-04 22:49:59 UTC
Doing a "make deinstall-depends" for any port de-installs pkg(8) first, then everything else it tries to do fails (and, it leaves you without pkg).

I'm not in a big hurry for a fix for this, it's just something I stumbled across and wanted to record it before I forget.
Comment 1 Mathieu Arnold freebsd_committer 2016-04-13 11:34:24 UTC
Doesn't pkg autoremove does what you want ?
Comment 2 Ian Lepore freebsd_committer 2016-04-13 14:52:16 UTC
I wasn't looking for a workaround, I was reporting a bug in the existing code, which needs to be fixed somehow.  Are you proposing that the fix for this bug is to reimplement the deinstall-depends target by having it invoke pkg autoremove?
Comment 3 Mathieu Arnold freebsd_committer 2016-04-13 14:55:46 UTC
Not at all, but an infrastructure PR without a patch is not likely to be fixed, ever.  I was just trying to tell you how to go around it.
Comment 4 commit-hook freebsd_committer 2019-09-05 09:08:24 UTC
A commit references this bug:

Author: bapt
Date: Thu Sep  5 09:07:49 UTC 2019
New revision: 511161
URL: https://svnweb.freebsd.org/changeset/ports/511161

Log:
  Fix make deinstall-depends with pkg.

  drop pkg itself from the list of deinstall-depends in order
  to keep pkg around to be able to deinstall more ports.

  PR:		204296
  Reported by:	ian

Changes:
  head/Mk/bsd.port.mk